classification
Title: Fix internal references in the documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: 18743 18757 18759 18760 18761 19189 19190 19193 19194 19195 19196 19197 19198 19203 19204 19207 Superseder:
Assigned To: serhiy.storchaka Nosy List: docs@python, eric.araujo, ezio.melotti, georg.brandl, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-08-16 18:38 by serhiy.storchaka, last changed 2013-10-14 16:04 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
refs.patch serhiy.storchaka, 2013-10-09 13:51 review
sphinx_warn_refs.patch serhiy.storchaka, 2013-10-12 12:53
Messages (17)
msg195392 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-16 18:38
This is a meta issue for fixing broken references in the documentation. I will open a child issues for some groups of modules and finally provide a patch for rest files.
msg195403 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-08-16 19:34
Note that not all the targets should be converted to links.  They should be converted only if the link is useful, and usually redundant links are not necessary (e.g. if the same target is repeated several times in the same paragraph/section).
msg195405 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-08-16 19:41
In such case perhaps links should be explicitly prohibited (with '!' mark).
msg195437 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-08-16 23:05
That's probably not worth it.
msg199050 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-06 08:35
Definitely not.
msg199073 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-10-06 12:51
Serhiy, are you planning to work on more patches or can this be closed?
msg199152 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-07 18:41
Yes. I have 180 Kb patch which touches 107 files, and this is yet too large for one issue. I will continue split this patch for lesser issues.
msg199297 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-09 13:51
And here is a patch with small changes which doesn't worth separated issue.
msg199300 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-09 14:03
Looks good, except that buffer doesn't really correspond to bytearray.  No memoryview involved there?
msg199301 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-09 14:13
No. BytesWarning is related only to bytes and bytearray.
msg199302 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-09 14:18
OK then -- so much the better.
msg199560 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-12 12:53
Here is a patch to Sphinx which helped me to search dead internal references. Not all references were fixed by proposed patches.
msg199588 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-12 16:19
The -n (nitpicky) option to Sphinx should also report missing references.
msg199751 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-13 18:25
> The -n (nitpicky) option to Sphinx should also report missing references.

Great.
msg199795 - (view) Author: Roundup Robot (python-dev) Date: 2013-10-13 20:35
New changeset fa7cfbec0d32 by Serhiy Storchaka in branch '2.7':
Issue #18758: Fixed and improved cross-references.
http://hg.python.org/cpython/rev/fa7cfbec0d32

New changeset 907da535ed9d by Serhiy Storchaka in branch '3.3':
Issue #18758: Fixed and improved cross-references.
http://hg.python.org/cpython/rev/907da535ed9d

New changeset 261d9bf0cc2b by Serhiy Storchaka in branch 'default':
Issue #18758: Fixed and improved cross-references.
http://hg.python.org/cpython/rev/261d9bf0cc2b
msg199799 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-13 20:48
Thank you Georg for all your reviews.

Only patch for pickle left, and this is not trivial one.
msg199919 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-14 16:04
Thank you for all the effort you put into this!
History
Date User Action Args
2013-10-14 16:04:52georg.brandlsetmessages: + msg199919
2013-10-14 07:49:57serhiy.storchakasetstatus: open -> closed
2013-10-13 20:48:39serhiy.storchakasetresolution: fixed
messages: + msg199799
stage: patch review -> resolved
2013-10-13 20:35:00python-devsetnosy: + python-dev
messages: + msg199795
2013-10-13 18:25:43serhiy.storchakasetmessages: + msg199751
2013-10-12 16:19:40georg.brandlsetmessages: + msg199588
2013-10-12 12:53:13serhiy.storchakasetfiles: + sphinx_warn_refs.patch

messages: + msg199560
2013-10-09 14:18:37georg.brandlsetmessages: + msg199302
2013-10-09 14:13:23serhiy.storchakasetmessages: + msg199301
2013-10-09 14:03:33georg.brandlsetmessages: + msg199300
2013-10-09 13:51:11serhiy.storchakasetfiles: + refs.patch
keywords: + patch
messages: + msg199297

stage: patch review
2013-10-09 13:40:35serhiy.storchakasetdependencies: + Improve cross-references in os documentation
2013-10-09 12:27:42serhiy.storchakasetdependencies: + Improve cross-references in urllib documentation
2013-10-09 12:18:19serhiy.storchakasetdependencies: + Improve cross-references in curses howto
2013-10-08 21:06:23serhiy.storchakasetdependencies: + Improve cross-references in shlex documentation, Improve cross-references in cgi documentation
2013-10-08 20:00:24serhiy.storchakasetdependencies: + Improve cross-references in distutils documentation
2013-10-08 19:57:00serhiy.storchakasetdependencies: + Improve cross-references in C API
2013-10-08 19:51:23serhiy.storchakasetdependencies: + Improve cross-references in fcntl documentation
2013-10-08 18:18:41serhiy.storchakasetdependencies: + Improve cross-references in tutorial
2013-10-08 18:12:50serhiy.storchakasetdependencies: + Improve cross-references in pickle documentation., Improve cross-references in builtins documentation.
2013-10-07 18:41:43serhiy.storchakasetmessages: + msg199152
2013-10-06 12:51:23ezio.melottisettype: enhancement
messages: + msg199073
2013-10-06 08:35:48georg.brandlsetmessages: + msg199050
2013-08-29 08:50:02serhiy.storchakasetassignee: docs@python -> serhiy.storchaka
2013-08-16 23:05:23ezio.melottisetmessages: + msg195437
2013-08-16 21:16:39serhiy.storchakasetdependencies: + Fix internal doc references for the email package
2013-08-16 19:41:02serhiy.storchakasetmessages: + msg195405
2013-08-16 19:39:36serhiy.storchakasetdependencies: + Fix internal doc references for logging package, Fix internal doc references for the xml package
2013-08-16 19:34:45ezio.melottisetmessages: + msg195403
2013-08-16 18:39:56serhiy.storchakasetdependencies: + References to non-existant "StringIO" module, Fix internal references for concurrent modules
2013-08-16 18:38:58serhiy.storchakacreate